mysqlnd_ms_get_stats
mysqlnd_ms_query_is_select
Mysqlnd_ms Functions
PHP Manual

# mysqlnd_ms_match_wild

Finds whether a table name matches a wildcard pattern or not

### Description

bool mysqlnd_ms_match_wild ( string `$table_name` , string `$wildcard` )

Finds whether a table name matches a wildcard pattern or not.

This function is not of much practical relevance with PECL mysqlnd_ms 1.1.0 because the plugin does not support MySQL replication table filtering yet.

### Parameters

`table_name`

  The table name to check if it is matched by the wildcard.

`wildcard`

  The wildcard pattern to check against the table name. The wildcard pattern supports the same placeholders as MySQL replication filters do.

  MySQL replication filters can be configured by using the MySQL Server configuration options --replicate-wild-do-table and --replicate-wild-do-db. Please, consult the MySQL Reference Manual to learn more about this MySQL Server feature.

  The supported placeholders are:

  - % - zero or more literals
  - % - one literal

  Placeholders can be escaped using \.

### Return Values

Returns `TRUE` table_name is matched by wildcard. Otherwise, returns `FALSE`

### Examples

Example #1 mysqlnd_ms_match_wild example

`<?php
var_dump(mysqlnd_ms_match_wild("schema_name.table_name", "schema%"));
var_dump(mysqlnd_ms_match_wild("abc", "_"));
var_dump(mysqlnd_ms_match_wild("table1", "table_"));
var_dump(mysqlnd_ms_match_wild("asia_customers", "%customers"));
var_dump(mysqlnd_ms_match_wild("funny%table","funny\%table"));
var_dump(mysqlnd_ms_match_wild("funnytable", "funny%table"));
?>`

The above example will output:

    bool(true)
    bool(false)
    bool(true)
    bool(true)
    bool(true)
    bool(true)